<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XCallManagerGroup StructType
 * @subpackage Structs
 */
class XCallManagerGroup extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $name;
    /**
     * The members
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\Members
     */
    public $members;
    /**
     * The tftpDefault
     * Meta information extracted from the WSDL
     * - documentation: Only use when setting TFTP Default to true. Setting to true will result in setting all other CallManager groups to false.
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $tftpDefault;
    /**
     * Constructor method for XCallManagerGroup
     * @uses XCallManagerGroup::setName()
     * @uses XCallManagerGroup::setMembers()
     * @uses XCallManagerGroup::setTftpDefault()
     * @param string $name
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Members $members
     * @param string $tftpDefault
     */
    public function __construct($name = null, \\Losc\CucmBundle\Model\Webservice\StructType\Members $members = null, $tftpDefault = null)
    {
        $this
            ->setName($name)
            ->setMembers($members)
            ->setTftpDefault($tftpDefault);
    }
    /**
     * Get name value
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XCallManagerGroup
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get members value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\Members
     */
    public function getMembers()
    {
        return $this->members;
    }
    /**
     * Set members value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Members $members
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XCallManagerGroup
     */
    public function setMembers(\\Losc\CucmBundle\Model\Webservice\StructType\Members $members = null)
    {
        $this->members = $members;
        return $this;
    }
    /**
     * Get tftpDefault value
     * @return string|null
     */
    public function getTftpDefault()
    {
        return $this->tftpDefault;
    }
    /**
     * Set tftpDefault value
     * @param string $tftpDefault
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XCallManagerGroup
     */
    public function setTftpDefault($tftpDefault = null)
    {
        $this->tftpDefault = $tftpDefault;
        return $this;
    }
}
